summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimo Sorce <idra@samba.org>2009-10-14 10:57:17 -0400
committerSimo Sorce <idra@samba.org>2009-10-14 11:05:52 -0400
commit8fb483b2964f1222c013df42ba8be544269da612 (patch)
tree33ebc3825a110eab05f0d3d01671eb0c5c97cce6
parent8e6df560b74d7e9b94dd47625de56bc1dc0bc6d7 (diff)
downloadsamba-8fb483b2964f1222c013df42ba8be544269da612.tar.gz
talloc: Make abi checks in release script
Make always sure the exports and signature files are up to date before shipping a release.
-rwxr-xr-xlib/talloc/script/release-script.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/lib/talloc/script/release-script.sh b/lib/talloc/script/release-script.sh
index 6b6c0e7aad0..4804f6ff58d 100755
--- a/lib/talloc/script/release-script.sh
+++ b/lib/talloc/script/release-script.sh
@@ -10,6 +10,16 @@ if [ ! -d "lib/talloc" ]; then
exit 1
fi
+# Check exports and signatures are up to date
+pushd lib/talloc
+./script/abi_checks.sh talloc talloc.h
+abicheck=$?
+popd
+if [ ! "$abicheck" = "0" ]; then
+ echo "ERROR: ABI Checks produced warnings!"
+ exit 1
+fi
+
git clean -f -x -d lib/talloc
git clean -f -x -d lib/replace